KDE 4.7 PyKDE API Reference

- KDE's Python API

# AgentFactoryBase Class Reference

`from PyKDE4.akonadi import *`

Inherits: QObject
Namespace: Akonadi

## Detailed Description

A factory base class for in-process agents.

See also:
  AKONADI_AGENT_FACTORY()

Internal:

Since:
  4.6

## Methods
| __init__ (self, QString catalogName, QObject parent=0)
| createComponentData (self, QString identifier)
QObject | createInstance (self, QString identifier)

## Method Documentation

__init__ | ( | self, |
|  | QString | catalogName,
|  | QObject | parent=0
| ) |  |  |

Creates a new agent factory. Executed in the main thread, performs KDE infrastructure setup.

Parameters:

  | catalogName | The translation catalog of this resource.
  | parent | The parent object.

createComponentData | ( | self, |
|  | QString | identifier
| ) |  |  |

QObject createInstance | ( | self, |
|  | QString | identifier
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Creates a new agent instace with the given identifier.